node-gyp相关内容

node-gyp 上的 Docker 节点高山映像构建失败

我正在尝试 Dockerize 一个 Vue.js 应用程序.我使用 node:10.15-alpine Docker 镜像作为基础.图像构建失败并出现以下错误: gyp 错误!配置错误吉普错误!堆栈错误:找不到 Python 可执行文件“python",您可以设置 PYTHON 环境变量.吉普错误!堆栈在 PythonFinder.failNoPython (/usr/local/lib/no ..
发布时间:2021-11-27 08:23:03 其他开发

ArangoDB 的哪些部分是用 Node-GYP 完成的

我正在弄清楚 ArangoDB 的结构,以确定它是否可以成为我的长期解决方案. 我的一个重要问题是,哪些部分由 node-gyp(或 Node-Addon)构成 - 查询构建器如何将 JavaScript 生成的 AQL 查询转换为与原生一样快? 我知道我自己也可以更深入地研究代码,但我认为如果一些核心开发人员能回答这个问题(或解释他们如何向 JavaScript 和 AQL 公开功能 ..
发布时间:2021-11-17 01:31:34 其他开发

无法安装 npm 包 (kafka-streams)

我正在尝试使用 npm 包 kafka-streams 但出现以下错误: PS D:\Projects\POCs\kstreams-poc>npm 安装 kafka 流>node-rdkafka@2.7.1 安装 D:\Projects\POCs\kstreams-poc\node_modules\node-rdkafka>节点gyp重建D:\Projects\POCs\kstreams-poc ..
发布时间:2021-11-12 03:18:00 其他开发

无法安装 npm 包 (kafka-streams)

我正在尝试使用 npm 包 kafka-streams 但出现以下错误: PS D:\Projects\POCs\kstreams-poc>npm 安装 kafka 流>node-rdkafka@2.7.1 安装 D:\Projects\POCs\kstreams-poc\node_modules\node-rdkafka>节点gyp重建D:\Projects\POCs\kstreams-poc ..
发布时间:2021-11-12 03:15:19 其他开发

gyp ERR,Npm 无法获取本地发行人证书

我正在处理干净的 Windows 10 安装.唯一的问题是我安装了 cygwin 以在 cmd 中获取 unix 命令. 当我输入 npm install -g @angular/cli 时,它会下载必要的文件,但我收到一个错误: gyp 错误!配置错误吉普错误!堆栈错误:无法获得本地颁发者证书吉普错误!错误堆栈(本机)吉普错误!堆栈在 TLSSocket.(_tls_wrap.js:10 ..
发布时间:2021-11-04 11:49:11 其他开发

为什么我的节点应用程序没有在 ec2 实例上的 amazon linux 2 AMI 上启动并显示此错误?

我已将所有文件正确传输到我的 ec2 实例,并且所有节点模块都已使用 package.json 文件成功下载,我的 ec2 实例的操作系统是 Amazon linux 2,但是每当我在终端上运行 npm start 时,我都会得到以下错误.我已经搜索了很多,并在网上关注了许多类似或相同的问题,但仍然无法弄清楚. 终端说:- [ec2-user@ip-172-31-7-38 backbenc ..
发布时间:2021-10-27 18:43:25 其他开发

node-gyp 构建错误 windows x64

这是我目前在 x64 操作系统上所做的: 安装 Python (v2.7 -- 特别是 2.7.6) 并将其添加到系统路径 (C:\Python27) 安装了 MS VS C++ 2010 Express 版本(我已经安装了 VS 2012 但没有 C++ 组件) 为 Windows SDK 7.1 安装了编译器更新 已成功执行 node-gyp configure(从我的 add ..
发布时间:2021-09-26 18:46:17 其他开发

“找不到模块"上的 node-gyp 错误;在 Windows 上

我正在尝试构建 Atom.当我运行 npm install 时,出现错误: 错误:找不到模块 'C:\Program Files (x86)\nodejs\node_modules\npm\node_modules\node-gyp\bin\node-gyp.js' 我使用的是 Windows.我该如何解决这个问题? 解决方案 Update 2020: 评论中有报告称此方法(在 201 ..
发布时间:2021-09-25 20:24:36 其他开发

由于 node-gyp 无法安装 npm:binding.gyp 未找到

我一整天都在研究这个,并尝试了很多不同的东西: 卸载节点并安装最新版本 使用 --msvs_version= 标志设置为 2010、2011、2012、2013、2015 删除 .node-gyp 文件夹 向 .npmrc 添加 python 路径,如下所示:python=C:\Python27\python.exe npm -g install npm@next 运行node-g ..
发布时间:2021-09-25 20:06:45 其他开发

如何让 node-gyp 在 Windows 7 平台上工作

在尝试编译标准的“Hello World"示例 [2] 时,我尝试在 Windows 7 + Node.js 平台上使用 node-gyp 失败 [3].注意:node-gyp 在尝试 npm install contextify w/o w/o "-g" 时以类似的方式失败 [3],因此这些可能是相关问题. 配置: 节点-gyp 0.12.2 Windows 7 x64 SP1 ..
发布时间:2021-09-18 20:35:31 其他开发

node-gyp configure 得到了“gyp ERR!找到 VS"

我正在尝试开始使用 node c/c++ 附加组件.node-gyp 命令出错 我安装了vs2019,我的命令是 node-gyp configure --msvs_version=2019 详细输出是 gyp 信息,如果它以 ok 结尾,它就起作用了gyp 信息使用 node-gyp@5.0.3gyp 信息使用 node@10.16.0 |win32 |x64gyp info fin ..
发布时间:2021-09-18 19:28:36 其他开发

'v8::Value::ToNumber': 已宣布弃用

我正在尝试访问一个已知对象并将其属性之一作为 Number 不幸的是,下面的代码... 隔离 *isolate = args.GetIsolate();本地opts = args[0]->ToObject();本地mode = opts->Get(String::NewFromUtf8(isolate, "mode"))->ToNumber(); 发出以下警告: 警告 C4 ..
发布时间:2021-09-15 20:28:13 其他开发

安装节点模块时节点gyp重建错误

我尝试使用“npm install zerorpc"在节点上安装 zerorpc 包,但出现以下错误.错误是因为 node-gyp 无法重建. npm http GET https://registry.npmjs.org/zerorpcnpm http 304 https://registry.npmjs.org/zerorpcnpm http GET https://registry.npm ..
发布时间:2021-09-12 19:19:51 其他开发

如何将 tfjs-node 与从源代码构建的 libtensorflow 一起使用

我看到可以使用从源代码构建的 libtensorflow,如自述文件中所述https://github.com/tensorflow/tfjs-node#optional-build-libtensorflow-from-tensorflow-source 我已经成功地从源代码构建,但我不知道如何让 tfjs-node 使用这个自定义构建的版本,而不是预构建的版本. 解决方案 我发现 ..
发布时间:2021-09-05 19:49:32 其他开发

为什么 node-gyp 重建在 Mac OSX El Capitan 上失败

我最近买了一台 Mac,它使用 Mac OSX El Capitan v10.11.4.使用自制软件安装节点,并使用节点 v6.2.2 和 npm v3.9.5.我在 npm install 期间遇到了 bcrypt 错误,我认为这是由 node-gyp rebuild 错误引起的.我最近还下载了 xcode-select(version 2343) 和 xcode(7.3.1)(按此顺序). ..
发布时间:2021-06-13 19:06:21 其他开发

npm ref 找不到绑定文件错误

我在使用电子的 nodejs 项目中使用包 ref.但问题是当我在我的 JS 代码中使用 ref 时,它会抛出一个错误,指出它无法找到绑定文件.这是错误 错误:找不到绑定文件.尝试过: → C:...\EMVModule.asar\node_modules\ref\build\binding.node→ C:...\EMVModule.asar\node_modules\ref\bui ..
发布时间:2021-06-09 19:14:36 其他开发

NPM 安装错误 - node-gyp

尝试安装 xml-stream 包,但它一直无法构建依赖项.它似乎需要 vc2010(vcbuild.exe),但我安装了 .Net Framework 2.0 SDK,其中包含 vcbuild 文件,并且在安装 xml-stream 时出现以下错误: >node-expat@2.0.0 安装 G:\Pessoal\node\bugzilla\node_modules\xml-stream\no ..
发布时间:2021-06-09 19:12:08 其他开发